"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCamundaCredentialsFromEnv = void 0;
const neon_env_1 = require("neon-env");
let credentialsCache;
function getCamundaCredentialsFromEnv(cache = true) {
    if (!cache) {
        return _getEnv();
    }
    if (credentialsCache === undefined) {
        credentialsCache = _getEnv();
    }
    return credentialsCache;
}
exports.getCamundaCredentialsFromEnv = getCamundaCredentialsFromEnv;
function _getEnv() {
    const creds = (0, neon_env_1.createEnv)({
        ZEEBE_ADDRESS: {
            type: 'string',
            optional: true
        },
        ZEEBE_CLIENT_ID: {
            type: 'string',
            optional: true
        },
        ZEEBE_CLIENT_SECRET: {
            type: 'string',
            optional: true
        },
        ZEEBE_AUTHORIZATION_SERVER_URL: {
            type: 'string',
            optional: true
        }
    });
    const complete = !!creds.ZEEBE_ADDRESS && !!creds.ZEEBE_CLIENT_ID && !!creds.ZEEBE_CLIENT_SECRET && !!creds.ZEEBE_AUTHORIZATION_SERVER_URL;
    return complete ? {
        ZEEBE_ADDRESS: creds.ZEEBE_ADDRESS,
        ZEEBE_CLIENT_ID: creds.ZEEBE_CLIENT_ID,
        ZEEBE_CLIENT_SECRET: creds.ZEEBE_CLIENT_SECRET,
        ZEEBE_AUTHORIZATION_SERVER_URL: creds.ZEEBE_AUTHORIZATION_SERVER_URL,
        complete: true
    } : Object.assign(Object.assign({}, creds), { complete: false });
}
